package com.sw.activemq.producer;



import javax.jms.Destination;
import java.io.Serializable;
import java.util.Map;

public interface IMessageProducerService {

	void sendMessage(String message);

	void sendMessage(Map<String, Object> message);

	<T extends Serializable>void delayMessage(Destination destination, T data, Long time);
}
